/* element-autocompleteSearch
*/

/*.element-autocompleteSearch._active .element-autocomplete_cr {
    z-index: 2;
}

.element-autocompleteSearch._active .element-autocomplete_ac {
    display: block;
}*/

/*.form-preloader {
    background: url(../img/ajax-loader.gif) no-repeat;
}*/

/*.loading-field-widget {
    background: url(../img/loading-block.gif) no-repeat;
}*/

#preloaderCursor { position: fixed; z-index: 50000; }
#preloaderCursor .cursor { float: left; width: 16px; height: 16px; margin-left: 2px; background: url(../img/ajax-loader.gif) no-repeat; }

/* Splash messages */

#splashMessages { position: fixed; width: 380px; top: 20px; right: 20px; z-index: 1000; color: #654426; font-size: 12px; line-height: 38px; text-align: center; font-family: Arial, sans-serif; }
#splashMessages .messageSplash { margin-top: 5px; border: 1px solid #e3be6e; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; }
#splashMessages .messageSplashFailed { background-color: #ff504f; background-color: rgba(225,80,70,0.9); color: #fff; }
#splashMessages .messageSplashSuccess { background-color: #ffe6b4; background-color: rgba(255,230,180,0.9); }
#splashMessages .messageSplashProceed { background-color: #c8c8c8; background-color: rgba(200,200,200,0.9); }


.messageWrapper { position: absolute; top: 5px; left: 50%; z-index: 500; }
.messageWrapper .message {
    font-family: Arial,sans-serif; font-size: 13px; color: #fff; border: 1px solid #5ab6ef;
    position: relative; top: 8px; left: -50%; padding: 25px 10px 25px 70px;
    background: url(../img/key.png) no-repeat scroll 6px 50% #5ab6ef;
    -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px;
}
.messageWrapper .message ins {
    display: block; width: 0px; height: 0px; position: absolute; top: -8px; left: 50%; color: transparent;
    border-left: 4px solid transparent; border-bottom: 8px solid #5ab6ef; border-right: 4px solid transparent;
}

#splashMessages {display:none;}
#onlineStatus {
    border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px;
    position: fixed;
    color: white;
    top: 100px;
    left: -5px;
    padding: 15px 20px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    font-size: 16px;
    z-index: 9;
}
#onlineStatus.offline {
    background-color: red;
}
#onlineStatus.online{
    background-color: green;
}

.mobile-device #onlineStatus {
    font-size:20px;
}





/*
 *	Pop-up from dnp
 */

.little-popup { width: 100%; height: 100%; position: fixed; top: 0; left: 0; z-index: 100; background-color: rgba(0,0,0,0.6); }
.little-popup .modal-window-wrapper { width: 420px; position: absolute; top: 50px; left: 50%; z-index: 1; margin-left: -240px; padding-bottom: 50px; }
.little-popup .popup-content { min-height: 110px; position: relative; padding: 10px 30px 10px 30px; background-color: #fff; -webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1); -moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1); box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1); -webkit-border-radius: 20px; -moz-border-radius: 20px; -ms-border-radius: 20px; border-radius: 20px;}

.little-popup .close:hover { opacity: 1 }
.little-popup .close { width: 12px; height: 12px; position: absolute; top: 0px; right: 0px; z-index: 5;
    background: url(../img/close.png) center no-repeat; text-indent: -9999px; cursor: pointer; opacity: 0.5; padding: 20px;
}

.little-popup .form-title { font: 1.416667em HelveticaNeueCyr-Light; margin: 15px 0 25px; }
.little-popup .element-button { text-align: right; margin-top: 30px; margin-bottom: 20px; }
.little-popup .element-button .close { width: auto; height: auto; position: static; padding: 0 15px; -webkit-border-radius: 20px; -moz-border-radius: 20px; -ms-border-radius: 20px; border-radius: 20px; border: 0; outline: 0; background: #36c2db; color: #fff; cursor: pointer; padding: 0 40px; font: 17px/52px HelveticaNeueCyr-Light; text-indent: 0; opacity: 1; }
.little-popup .element-button .close:hover { background: rgba(54, 194, 219, 0.8); }

.create-question-popup .radio-title { display: none; }
.create-question-popup .radio-wrapper { overflow: hidden; margin-bottom: 20px; }
.create-question-popup .radio-block { float: left; width: 50%; height: 45px; line-height: 45px; padding-left: 40px; -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; position: relative; overflow: hidden; }
.create-question-popup .radio-block input { margin: 16px 5px 20px; float: left; }
.create-question-popup .radio-block label, .create-question-popup .radio-block input { cursor: pointer; position: relative; }
.create-question-popup .radio-block label { display: block; margin-left: 20px; }
.create-question-popup .radio-block .radio-button { position: absolute; top: 0; left: 0; width: 100%; height: 100%; border-bottom: 1px solid #e5e5e5; -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; }
.create-question-popup .radio-block .radio-button.active { border-top: 1px solid #e5e5e5; border-bottom: 0; }
.create-question-popup .radio-block:first-child { padding-left: 0; }
.create-question-popup .radio-block:first-child .radio-button { border-right: 1px solid #e5e5e5; }
.create-question-popup input[type="text"], .create-question-popup input[type="password"] { width: 100%; height: 50px; line-height: 18px; display: block; border: 1px solid #cccccc; margin: 15px 0; -webkit-border-radius: 20px; -moz-border-radius: 20px; -ms-border-radius: 20px; border-radius: 20px; padding-left: 25px; resize: none; outline: 0;  color: #666; -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; background: inherit; }
.create-question-popup #question label, .create-question-popup.no-label-form .form-element label{ display: none; }
.create-question-popup .form-element textarea { width: 100%; min-height: 130px; display: block; border: 1px solid #cccccc; -webkit-border-radius: 20px; -moz-border-radius: 20px; -ms-border-radius: 20px; border-radius: 20px; padding: 25px; resize: none; outline: 0; color: #666; -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; background: inherit; }
.create-question-popup #election label { display: none; }
.create-question-popup #election .element-autocomplete { height: auto; display: inline-block; vertical-align: middle; }
.create-question-popup #election .element-autocomplete input { min-height: 0; padding: 5px; height: auto; line-height: 1em; color: #000; font: 14px HelveticaNeueCyr-Roman; -webkit-border-radius: 3px; -moz-border-radius: 3px; -ms-border-radius: 3px; border-radius: 3px; padding-left: 23px; border-color: #ccc; background: url(../img/user.png) no-repeat 6px center; margin-bottom: 0px; }
.create-question-popup #election .candidats-text { font: 14px HelveticaNeueCyr-Light; color: #666; margin-top: 20px; }
.create-question-popup #election .icon-btn-remove { display: inline-block; vertical-align: middle; cursor: pointer; text-decoration: underline; color: #666; padding-left: 50px; padding-top: 15px;}
.create-question-popup #election .icon-btn-remove:hover { color: #000; }
.create-question-popup #election .more-users { margin-top: 15px; font-family: HelveticaNeueCyr-Roman; color: #666; cursor: pointer; text-decoration: underline; color: #666; }
.create-question-popup #election .more-users:hover { color: #000; }
.create-question-popup .element-button { text-align: right; }
.create-question-popup .submit { padding: 0 30px; -webkit-border-radius: 20px; -moz-border-radius: 20px; -ms-border-radius: 20px; border-radius: 20px; border: 0; outline: 0; background: #36c2db; color: #fff; cursor: pointer; font: 1.416667em/52px HelveticaNeueCyr-Light; }
.create-question-popup .submit:hover { background: rgba(54, 194, 219, 0.8); }
.create-question-popup .dad-area { color: #000; }
.create-question-popup .dad-area:before { opacity: 1; }
.create-question-popup .dad-area li span { color: #666; }
.create-question-popup .element-button { /* display: inline-block; */ }
.create-question-popup .button-wrapper { text-align: right; }
.create-question-popup .form-element.error:after {right: -20px; margin-top: 0px;}

.little-popup .table { width: 100%; font: 14px HelveticaNeueCyr-Roman; border-collapse: collapse; table-layout: fixed; }
.little-popup .table th:first-child { padding-left: 5px; }
.little-popup .table th, .little-popup .table td { padding: 12px 0 10px 0; font: inherit; width: 33%; text-align: left; }
.little-popup .table tr:last-child td, .little-popup .table tr:last-child th { border-bottom: 0; }
.little-popup .table .td-center, .little-popup .table td:first-child + td, .little-popup .table th:first-child + th { text-align: center; max-width: 50px; }
.little-popup .table tbody { font: inherit; color: #000; }
.little-popup .table tbody td:first-child { padding-left: 20px; background: url(../img/user.png) left center no-repeat; }
.little-popup .table tbody td:last-child { font-size: 12px; width: 97px; }
.little-popup .table tbody .for { color: #3fdf26; }
.little-popup .table tbody .against { color: #f74343; }
.little-popup .adScrollListParent { position: relative; padding-right: 20px; }
.little-popup .adScrollListParent .adScrollList { height: 100%; overflow: hidden; }
.little-popup .adScrollListParent .newScroll { margin-right: 0; height: auto; top: 0; right: 0; bottom: 0; margin-top: 42px; }

/* Loading */

.popup-content.loading-pop-up:before { display: block; z-index: 750; }
.popup-content:before {
    display: none; width: 100%; height: 100%; position: absolute; top: 0; left: 0; z-index: 10;
    background: #fff url(../img/loading.gif) 50% 50% no-repeat; content: '';
}



/*
 *	Create question
 */





/*
 *	Browser fix
 */

.ie8 .little-popup { background: url(../img/bg-ie8.png) 0 0 repeat; }
.form-element.element-autocomplete{/* position: absolute; */}
.little-popup .modal-window-wrapper .narrow-fields-form.formAccounts button.submit {margin-right: 0px;}


/*.element-autocomplete_hint {position:absolute !important; color: #D0D0D0 !important;}
.element-autocomplete_overhint {background: transparent !important; color: black !important; position:relative !important; z-index: 1 !important;}*/

._preloader .p-client-list-extra {display:none !important;}
._preloader .p-client-list-nothing {display:none !important;}

#clientEntity_element #sortAC .element-autocomplete_ul li[data-id=" "], #recordEntity_element #sortAC .element-autocomplete_ul li[data-id=" "] {display:none;}

/*.element-autocomplete_cr .element_search, .element-autocomplete_cr .element_clear {z-index:1;}*/
.element-uploader .upload-button, .dad-button .help {display:none;}



/** взято из подаримни*/

/*.element-autocomplete_cr .split-words {
    margin: 0 0 14px;
    padding: 0;
    list-style: none;
}
.element-autocomplete_cr .split-words:before,
.element-autocomplete_cr .split-words:after {
    display: table;
    vertical-align: top;
    content: ' ';
}
.element-autocomplete_cr .split-words:after {
    clear: both;
}
@media (min-width: 481px) {
    .cc-popup-add_tags .split-words {
        margin-right: -110px;
    }
}
.element-autocomplete_cr .split {
    position: relative;
    float: left;
    overflow: hidden;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 2px;
    padding: 0 24px 0 6px;
    border-radius: 4px;
    background: #ffaa72;
    color: #fff;
    text-overflow: ellipsis;
    font-size: 14px;
    line-height: 24px;
    cursor: default;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.element-autocomplete_cr .split:hover {
    background: #e59966;
}
.element-autocomplete_cr .split .remove {
    position: absolute;
    top: 50%;
    right: 0;
    margin-top: -12px;
    padding-left: 4px;
    width: 24px;
    text-align: center;
    line-height: 24px;
    cursor: pointer;
}
.element-autocomplete_cr .split .remove:after {
    vertical-align: top;
    content: '\2715';
    font-size: 14px;
}*/

/*#client_groups .element-autocomplete_cr:after {content: '';}*/

.b-messages {position:relative;} /*тк вынесено из body тк должно быть независимо от него*/

.row-client-storage {background: rgba(153, 228, 153, 0.26);}

.element-autocompleteselect._active .element-autocomplete_ac {
    visibility: visible;
    max-height: none;
}
.element-autocompleteselect._active .element-autocomplete_ac {
    opacity: 1;
}

/**крестик для календаря**/
/*.b-filters .element#date .element_clear {
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: rgba(255,255,255,0);
    -webkit-tap-highlight-color: transparent;
    position: absolute;
    top: 0;
    right: 51px;
    height: 45px;
    width: 40px;
}*/
/*.b-filters .element#date .element_clear::before {
    content: '\e60e';
    font-family: 'clientix-icons';
    vertical-align: bottom;
    text-decoration: none;
    text-transform: none;
    font-weight: normal;
    font-style: normal;
    font-variant: normal;
    speak: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;
    margin: -1px 0 0;
    text-align: center;
    color: #8f979b;
    font-size: 16px;
    line-height: 2px;
}*/
/**/
/*#recordEntity_element .element-calendar_field {cursor: pointer;}*/
#waitError {display:none;}


.b-calendar-record._duration_180m {
    width: 480px;
}

._global_hide {display:none !important;}

._auto .jsColumnClient .b-appointment-viewclient-editmemo,
._auto .jsColumnClient .b-appointment-viewclient-newmemo,
._auto .jsColumnClient .b-appointment-viewclient-client_remove
{display:none;}


.jsACServiceItem.active .b-appointment-service_name,
.jsACClientItem.active .b-appointment-client_name,
.jsACExecutorItem.active .b-appointment-specialist_name
{color: darkgreen;}

.b-messages_cr {z-index: 999;}

.offline-mode .b-calendar-notaday-message_button._icon.jsAddSpecialistsLink,
.offline-mode .b-calendar-notaday-message_button._icon.jsViewScheduleLink {display: none;}

.offline-mode #viewClient .jsButtonClientSubAdd,
.offline-mode #viewClient .jsButtonClientAppointmentsList,
.offline-mode #viewClient .jsButtonClientLog,
.offline-mode #viewClient .jsButtonClientWallet,
.offline-mode #viewClient .jsButtonClientDocuments,
.offline-mode #viewClient .jsButtonClientMessages,
.offline-mode #viewClient .jsButtonClientDiscounts,
.offline-mode #jsButtonClientSubEdit,
.offline-mode .b-bread_button._icon._icon_client-edit.jsEditButton,
.offline-mode .jsButtonClientSubEdit,
.offline-mode #searchClients #sortAC,
.offline-mode #searchClients #type,
.offline-mode .p-calendar-appointment-title_button._icon._add.jsButtonServiceSearch,
.offline-mode .p-calendar-appointment-title_button._icon._add.jsButtonMaterialSearch,
.offline-mode .p-calendar-appointment-subclient-info_edit._icon,
.offline-mode .b-appointment-viewclient-memo_edit.jsEditMemo,
.offline-mode .b-appointment-viewclient-newmemo_add._icon.jsAddMemo,
.offline-mode .jsButtonNotification,
.offline-mode .jsButtonSmsLog {display: none;}

.offline-mode .b-filters div#clientEntity_element, .offline-mode .b-filters div#recordEntity_element {border-right: 0px;}

.offline-error-text {color: red;}

.jsMainPreloader {top: 0px;}

.jsEnabled .noJSPopup {display:none;}

.jsStatusField .t-preloader {
    display: none;
}

.jsStatusField._preloader .t-preloader {
    display: block;
}

.jsResendSms._disabled {
    color: grey;
    cursor: default;
}

.p-all-pro-version-tooltip {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 auto;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    min-width: 1px;
    min-height: 1px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    width: 290px;
    padding: 8px 0 0 8px;
}

.p-all-pro-version-tooltip_cr {
    padding: 8px;
    border-radius: 4px;
    color: #294562;
    font-size: 12px;
    padding: 5px 8px;
}

.p-all-pro-version-tooltip._hidden {
    display: none;
}

body .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}
body._beauty .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}
body._health .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}
body._smile .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}
body._happiness .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}
body._velocity .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}
body._friend .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}
body._strength .p-all-pro-version-tooltip_cr {
    border: 1px solid var(--versioncolor);
}


.jsRecoverAppointment .t-preloader {display:none;}
.jsRecoverAppointment._preloader .t-preloader {display:block;}
.jsRecoverAppointment._preloader {color: transparent;}

#smsConfirmationFields {width: 600px; margin-top:20px;}

#smsIncomeList .p-client-appointment-list-nothing_icon._employee::before {content: '\e63B';
    font-family: 'clientix-icons';     color: #A2A2A1;}

._resizer .b-calendar-record-popup {display:none !important;}

.body-localization #body > .container {overflow-y: scroll;}

.ngBanner2 {
    background: url(../img/ng2020.png) 0px 0px no-repeat;
    height: 290px;
    width: 100%;
    border-radius: 25px;
    background-size: cover;
    cursor: pointer;
    margin-top: 20px;

}
